PANEL_ABOVE(3) | Library Functions Manual | PANEL_ABOVE(3)

# NAME

top_panel, bottom_panel, panel_above, panel_below — z-order of panels

# LIBRARY

Z-order for curses windows (libpanel, -lpanel)

# SYNOPSIS

#include <panel.h>
int
top_panel(PANEL *p);
int
bottom_panel(PANEL *p);
PANEL *
panel_above(PANEL *p);
PANEL *
panel_below(PANEL *p);

# DESCRIPTION

Newly created panels are placed at the top of the deck. The z-order of a visible panel can be changed with the functions top_panel() and bottom_panel() that move it to the top and bottom of the deck respectively.
For a visible panel its neighbors in the deck can be obtained with panel_above() and panel_below(). The bottom and top panels can be obtained by passing a `NULL` argument to panel_above() and panel_below(), respectively.

# IMPLEMENTATION NOTES

The top_panel() function will return an error if the panel is currently hidden. Use show_panel(3) to make a hidden panel visible again and put it at the top of the deck. This is the behaviour specified by the original AT&T System V UNIX panel library.
In the ncurses implementation of the panel library show_panel() and top_panel() are identical and handle both visible and hidden panels. This may be a source of bugs in programs tested only against ncurses.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following values:

`OK`
  The function completed successfully.
`ERR`
  An error occurred in the function.

# SEE ALSO

panel(3)

October 28, 2015 | NetBSD 8.2